'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var singleToken = '\\{((?:[a-z]+:)?[a-z]+)\\}';
var SINGLE_TOKEN_REGEX = new RegExp(singleToken, 'i');
var DOUBLE_TOKEN_REGEX = new RegExp(singleToken + '([-.])' + singleToken, 'i');
var ERROR_LEVELS = {
  WARNING: 'WARNING',
  FATAL: 'FATAL'
};
var ALLOWED_METHODS = ['OPTIONS', 'HEAD', 'GET', 'POST'];
var CRLF = '\r\n';
var BLANK_LINE = CRLF + CRLF;
var routeId = 0;
var middlewareId = 0;
var assignRouteId = function assignRouteId() {
  return ++routeId;
};
var assignMiddlewareId = function assignMiddlewareId() {
  return ++middlewareId;
};

exports.SINGLE_TOKEN_REGEX = SINGLE_TOKEN_REGEX;
exports.DOUBLE_TOKEN_REGEX = DOUBLE_TOKEN_REGEX;
exports.ERROR_LEVELS = ERROR_LEVELS;
exports.ALLOWED_METHODS = ALLOWED_METHODS;
exports.CRLF = CRLF;
exports.BLANK_LINE = BLANK_LINE;
exports.assignRouteId = assignRouteId;
exports.assignMiddlewareId = assignMiddlewareId;
//# sourceMappingURL=Constants.js.map
