import App from './modules/App';
import Router from './modules/Router';
import { Config, ErrorCallback } from './@types';
declare const _default: {
    /**
     * sets the global callback error handler
     * @param errorCallback global error callback
     */
    setGlobalErrorCallback(errorCallback: ErrorCallback<import("./modules/Request").default, import("./modules/Response").default>): void;
    /**
     * creates an r server app instance
     * @param config - config file location or configuration object, defaults to .server.js
     */
    create(config?: string | Config): App;
    /**
     * creates a mountable router
     * @param inheritMiddlewares - indicates if parent middlewares should be inherited
     */
    Router(inheritMiddlewares?: boolean): Router;
};
export default _default;
